/*
 * Info.cpp
 * 
 * Copyright (C) 2008 Matthias Schiffer <matthias@gamezock.de>
 * 
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "Info.h"

namespace ZoomEdit {
namespace Data {

Info::Info(xmlpp::Element *node) {
  nameNode = dynamic_cast<xmlpp::Element*>(node->get_children("name").front());
  if(nameNode->has_child_text())
    name = nameNode->get_child_text()->get_content();
  
  descNode = dynamic_cast<xmlpp::Element*>(node->get_children("desc").front());
  if(descNode->has_child_text())
    desc = descNode->get_child_text()->get_content();
}

}
}
