/*
 * Info.h
 * 
 * Copyright (C) 2008 Matthias Schiffer <matthias@gamezock.de>
 * 
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ZOOMEDIT_DATA_INFO_H_
#define ZOOMEDIT_DATA_INFO_H_

#include <libxml++/nodes/element.h>
#include <libxml++/nodes/textnode.h>

namespace ZoomEdit {
namespace Data {

class Info {
  private:
    xmlpp::Element *nameNode;
    Glib::ustring name;
    
    xmlpp::Element *descNode;
    Glib::ustring desc;
    
  public:
    Info(xmlpp::Element *node);
    
    const Glib::ustring& getName() const {
      return name;
    }
    
    void setName(const Glib::ustring &n) {
      name = n;
      nameNode->set_child_text(n);
    }
    
    const Glib::ustring& getDescription() const {
      return desc;
    }
    
    void setDescription(const Glib::ustring &d) {
      desc = d;
      descNode->set_child_text(d);
    }
};

}
}

#endif /*ZOOMEDIT_DATA_INFO_H_*/
