/*
 * TexCoords.h
 * 
 * Copyright (C) 2008 Matthias Schiffer <matthias@gamezock.de>
 * 
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ZOOMEDIT_DATA_TEXCOORDS_H_
#define ZOOMEDIT_DATA_TEXCOORDS_H_

namespace ZoomEdit {
namespace Data {

class TexCoords {
  private:
    unsigned int coordCount;
    float s, t, r, q;
  
  public:
    TexCoords(unsigned int c = 2, float s0 = 0, float t0 = 0, float r0 = 0, float q0 = 0)
    : coordCount(c), s(s0), t(t0), r(r0), q(q0) {}
    
    unsigned int getCoordCount() const {return coordCount;}
    void setCoordCount(unsigned int c) {coordCount = c;}
    
    float getS() const {return s;}
    void setS(float s0) {s = s0;}
    
    float getT() const {return t;}
    void setT(float t0) {t = t0;}
    
    float getR() const {return r;}
    void setR(float r0) {r = r0;}
    
    float getQ() const {return q;}
    void setQ(float q0) {q = q0;}
};

}
}

#endif /*ZOOMEDIT_DATA_TEXCOORDS_H_*/
