/*
 * Texture.h
 * 
 * Copyright (C) 2008 Matthias Schiffer <matthias@gamezock.de>
 * 
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ZOOMEDIT_DATA_TEXTURE_H_
#define ZOOMEDIT_DATA_TEXTURE_H_

#include <libxml++/nodes/element.h>

namespace ZoomEdit {
namespace Data {

class Texture {
  private:
    xmlpp::Element *texNode;
    Glib::ustring id;
    Glib::ustring name;
    
  public:
    Texture(xmlpp::Element *node);
    
    const Glib::ustring& getId() const {
      return id;
    }
    
    void setId(const Glib::ustring &id0) {
      id = id0;
      texNode->set_attribute("id", id0);
    }
    
    const Glib::ustring& getName() const {
      return name;
    }
    
    void setName(const Glib::ustring &nname) {
      name = nname;
      texNode->set_attribute("name", nname);
    }
    
    xmlpp::Element* getNode() const {
      return texNode;
    }
};

}
}

#endif /*ZOOMEDIT_DATA_TEXTURE_H_*/
