/*
 * Window.h
 * 
 * Copyright (C) 2008 Matthias Schiffer <matthias@gamezock.de>
 * 
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ZOOMEDIT_GUI_WINDOW_H_
#define ZOOMEDIT_GUI_WINDOW_H_

#include <gtkmm/window.h>
#include <libglademm/xml.h>

namespace ZoomEdit {
namespace Gui {

class RenderArea;

class Window : public Gtk::Window {
  private:
    RenderArea *renderArea, *mapArea;
    
  public:
    Window(BaseObjectType *cobject, const Glib::RefPtr<Gnome::Glade::Xml> &xml);
    virtual ~Window();
    
    RenderArea* getRenderArea() const {return renderArea;}
    RenderArea* getMapArea() const {return mapArea;}
};

}
}

#endif /*WINDOW_H_*/
