/*
 * Xml.cpp
 * 
 * Copyright (C) 2008 Matthias Schiffer <matthias@gamezock.de>
 * 
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "Xml.h"
#include <libxml/tree.h>

namespace ZoomEdit {
namespace Util {

xmlpp::Element* Xml::addSibling(xmlpp::Node *previous, const Glib::ustring &name) {
  if(!previous)
    return 0;
  
  xmlNodePtr child = xmlNewNode(0, (const xmlChar*)name.c_str());
  if(!child)
    return 0;
  
  xmlNodePtr node = xmlAddNextSibling(previous->cobj(), child);
  if(!node)
    return 0;
  
  return static_cast<xmlpp::Element*>(node->_private);
}

}
}
