/*
 * View.h
 * 
 * Copyright (C) 2008 Matthias Schiffer <matthias@gamezock.de>
 * 
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ZOOMEDIT_VIEW_VIEW_H_
#define ZOOMEDIT_VIEW_VIEW_H_

#include <sigc++/signal.h>

namespace ZoomEdit {
namespace View {

class View {
  private:
    sigc::signal<void> update;
    
  public:
    virtual ~View() {}
    
    virtual void init() = 0;
    virtual void resize(float width, float height) = 0;
    
    virtual void render() = 0;
    
    virtual void zoom(int, float, float) {}
    virtual void move(float, float, unsigned int) {}
    virtual void click(float, float) {}
    
    sigc::signal<void> signalUpdate() const {return update;}
};

}
}

#endif /*ZOOMEDIT_VIEW_VIEW_H_*/
